### A free/open-source library for quantitative finance

Public Member Functions | Friends
IndexManager Class Reference

global repository for past index fixings More...

`#include <ql/indexes/indexmanager.hpp>`

Inheritance diagram for IndexManager:
[legend]

List of all members.

## Public Member Functions

bool | hasHistory (const std::string &name) const
| returns whether historical fixings were stored for the index
const TimeSeries< Real > & | getHistory (const std::string &name) const
| returns the (possibly empty) history of the index fixings
void | setHistory (const std::string &name, const TimeSeries< Real > &)
| stores the historical fixings of the index
boost::shared_ptr< Observable > | notifier (const std::string &name) const
| observer notifying of changes in the index fixings
std::vector< std::string > | histories () const
| returns all names of the indexes for which fixings were stored
void | clearHistory (const std::string &name)
| clears the historical fixings of the index
void | clearHistories ()
| clears all stored fixings

## Friends

class | Singleton< IndexManager >

## Detailed Description

global repository for past index fixings

Note:
  index names are case insensitive